package com.apobates.forum.thrones.controller.form;

import com.apobates.forum.thrones.controller.helper.FieldMatch;
import javax.validation.constraints.NotBlank;

/**
 * 会员中心的更新帐号密码
 * @author xiaofanku
 * @since 20200517
 */
@FieldMatch(first="confimpswd", second="newpswd", message="{FieldMatch.MemberPassportForm.confimpswd}")
public class MemberPassportForm extends ActionForm {
    @NotBlank(message="{NotBlank.MemberPassportForm.oldpswd}")
    private String oldpswd;
    @NotBlank(message="{NotBlank.MemberPassportForm.newpswd}")
    private String newpswd;
    @NotBlank(message="{NotBlank.MemberPassportForm.confimpswd}")
    private String confimpswd;
    
    public String getOldpswd() {
        return oldpswd;
    }
    
    public void setOldpswd(String oldpswd) {
        this.oldpswd = oldpswd;
    }
    
    public String getNewpswd() {
        return newpswd;
    }
    
    public void setNewpswd(String newpswd) {
        this.newpswd = newpswd;
    }
    
    public String getConfimpswd() {
        return confimpswd;
    }
    
    public void setConfimpswd(String confimpswd) {
        this.confimpswd = confimpswd;
    }
}